package utils

import "pay/conf"

func GetSinglePayConfig(app *conf.AppConf) (param *conf.SinglePayParams) {
	singleConfig := app.Single
	for _, sc := range singleConfig {
		if app.ShopName == sc.Name {
			return sc
		}
	}
	return
}

func GetMultiPayConfig(app *conf.AppConf) (param *conf.MultiPayParam) {
	multiConfig := app.Multi
	for _, mc := range multiConfig {
		if app.ShopName == mc.Name {
			return mc
		}
	}
	return
}
